# eric7.WebBrowser.PersonalInformationManager.PersonalInformationManager

Module implementing a personal information manager used to complete form fields.

### Global Attributes

None

### Classes

PersonalInformationManager | Class implementing the personal information manager used to complete form fields.

### Functions

None

## PersonalInformationManager

Class implementing the personal information manager used to complete form fields.

### Derived from

QObject

### Class Attributes

Address
City
Country
Email
FirstName
FullName
HomePage
Invalid
LastName
Max
Mobile
Phone
Special1
Special2
Special3
Special4
State
Zip

### Class Methods

None

### Methods

PersonalInformationManager | Constructor
__insertData | Private slot to insert the selected personal information.
__loadSettings | Private method to load the settings.
__matchingJsTable | Private method to create the common part of the JavaScript sources.
__pageLoadFinished | Private slot to handle the completion of a page load.
connectPage | Public method to allow the personal information manager to connect to the page.
createSubMenu | Public method to create the personal information sub-menu.
showConfigurationDialog | Public method to show the configuration dialog.
viewKeyPressEvent | Protected method to handle key press events we are interested in.

### Static Methods

None

#### PersonalInformationManager (Constructor)

PersonalInformationManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### PersonalInformationManager.__insertData

__insertData(act)

Private slot to insert the selected personal information.

act (QAction)
  reference to the action that triggered

#### PersonalInformationManager.__loadSettings

__loadSettings()

Private method to load the settings.

#### PersonalInformationManager.__matchingJsTable

__matchingJsTable()

Private method to create the common part of the JavaScript sources.

Return:
  JavaScript source

Return Type:
  str

#### PersonalInformationManager.__pageLoadFinished

__pageLoadFinished(ok, page)

Private slot to handle the completion of a page load.

ok (bool)
  flag indicating a successful load
page (WebBrowserPage)
  reference to the web page object

#### PersonalInformationManager.connectPage

connectPage(page)

Public method to allow the personal information manager to connect to the page.

page (WebBrowserPage)
  reference to the web page

#### PersonalInformationManager.createSubMenu

createSubMenu(menu, view, hitTestResult)

Public method to create the personal information sub-menu.

menu
  reference to the main menu (QMenu)
view
  reference to the view (HelpBrowser)
hitTestResult
  reference to the hit test result (WebHitTestResult)

#### PersonalInformationManager.showConfigurationDialog

showConfigurationDialog()

Public method to show the configuration dialog.

#### PersonalInformationManager.viewKeyPressEvent

viewKeyPressEvent(view, evt)

Protected method to handle key press events we are interested in.

view
  reference to the view (HelpBrowser)
evt
  reference to the key event (QKeyEvent)

Return:
  flag indicating handling of the event (boolean)

Up